View Issue Details

This bug affects 1 person(s).
 2
IDProjectCategoryView StatusLast Update
19504Bug reportsTheme editorpublic2024-04-19 08:41
ReporterDenisChenu Assigned Togabrieljenik  
PrioritynoneSeverityminor 
Status ready for code reviewResolutionopen 
Product Version6.4.x 
Summary19504: Potential PHP Warning when get Survey listing
Description

When activate debug mode : there are time where there are issue with broken TemplateConfiguration

Steps To Reproduce

Steps to reproduce

I don't know how to reproduce with Admin GUI : but have TemplateConfiguration without the related Template

Expected result

  1. Listing don't thrown error
  2. Have a way to automatically delete invalid TemplateConfiguration

Actual result

Listing don't thow error
Set debug to 0, go to theme manager : no alert, set debug=2 !: throw error again

TagsNo tags attached.
Attached Files
PHP warning.html (27,812 bytes)   
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" data-lt-installed="true" lang="en"><head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>PHP warning</title>

<style type="text/css">
/*<![CDATA[*/
html,body,div,span,applet,object,iframe,h1,h2,h3,h4,h5,h6,p,blockquote,pre,a,abbr,acronym,address,big,cite,code,del,dfn,em,font,img,ins,kbd,q,s,samp,small,strike,strong,sub,sup,tt,var,b,u,i,center,dl,dt,dd,ol,ul,li,fieldset,form,label,legend,table,caption,tbody,tfoot,thead,tr,th,td{border:0;outline:0;font-size:100%;vertical-align:baseline;background:transparent;margin:0;padding:0;}
body{line-height:1;}
ol,ul{list-style:none;}
blockquote,q{quotes:none;}
blockquote:before,blockquote:after,q:before,q:after{content:none;}
:focus{outline:0;}
ins{text-decoration:none;}
del{text-decoration:line-through;}
table{border-collapse:collapse;border-spacing:0;}

body {
	font: normal 9pt "Verdana";
	color: #000;
	background: #fff;
}

h1 {
	font: normal 18pt "Verdana";
	color: #f00;
	margin-bottom: .5em;
}

h2 {
	font: normal 14pt "Verdana";
	color: #800000;
	margin-bottom: .5em;
}

h3 {
	font: bold 11pt "Verdana";
}

pre {
	font: normal 11pt Menlo, Consolas, "Lucida Console", Monospace;
}

pre span.error {
	display: block;
	background: #fce3e3;
}

pre span.ln {
	color: #999;
	padding-right: 0.5em;
	border-right: 1px solid #ccc;
}

pre span.error-ln {
	font-weight: bold;
}

.container {
	margin: 1em 4em;
}

.version {
	color: gray;
	font-size: 8pt;
	border-top: 1px solid #aaa;
	padding-top: 1em;
	margin-bottom: 1em;
}

.message {
	color: #000;
	padding: 1em;
	font-size: 11pt;
	background: #f3f3f3;
	-webkit-border-radius: 10px;
	-moz-border-radius: 10px;
	border-radius: 10px;
	margin-bottom: 1em;
	line-height: 160%;
}

.source {
	margin-bottom: 1em;
}

.code pre {
	background-color: #ffe;
	margin: 0.5em 0;
	padding: 0.5em;
	line-height: 125%;
	border: 1px solid #eee;
}

.source .file {
	margin-bottom: 1em;
	font-weight: bold;
}

.traces {
	margin: 2em 0;
}

.trace {
	margin: 0.5em 0;
	padding: 0.5em;
}

.trace.app {
	border: 1px dashed #c00;
}

.trace .number {
	text-align: right;
	width: 2em;
	padding: 0.5em;
}

.trace .content {
	padding: 0.5em;
}

.trace .plus,
.trace .minus {
	display:inline;
	vertical-align:middle;
	text-align:center;
	border:1px solid #000;
	color:#000;
	font-size:10px;
	line-height:10px;
	margin:0;
	padding:0 1px;
	width:10px;
	height:10px;
}

.trace.collapsed .minus,
.trace.expanded .plus,
.trace.collapsed pre {
	display: none;
}

.trace-file {
	cursor: pointer;
	padding: 0.2em;
}

.trace-file:hover {
	background: #f0ffff;
}
/*]]>*/
</style>
</head>

<body>
<div class="container">
	<h1>PHP warning</h1>

	<p class="message">
		Attempt to read property "folder" on null	</p>

	<div class="source">
		<p class="file">E:\WEB\limesurvey\www\application\models\Template.php(433)</p>
		<div class="code"><pre><span class="ln">421</span>         if (!is_null($aTemplateList)) {
<span class="ln">422</span>             return $aTemplateList;
<span class="ln">423</span>         }
<span class="ln">424</span>         $aTemplateList = [];
<span class="ln">425</span>         /* Get the template name by TemplateConfiguration and fiolder by template , no need other data */
<span class="ln">426</span>         $criteria = new CDBCriteria();
<span class="ln">427</span>         $criteria-&gt;select = 'template_name';
<span class="ln">428</span>         $criteria-&gt;with = ['template' =&gt; ['select' =&gt; 'folder']];
<span class="ln">429</span>         $oTemplateList = TemplateConfiguration::model()-&gt;with('template')-&gt;findAll($criteria);
<span class="ln">430</span>         $aTemplateInStandard = SurveyThemeHelper::getTemplateInStandard();
<span class="ln">431</span>         $aTemplateInUpload = SurveyThemeHelper::getTemplateInUpload();
<span class="ln">432</span>         foreach ($oTemplateList as $oTemplate) {
<span class="error"><span class="ln error-ln">433</span>             if (isset($aTemplateInStandard[$oTemplate-&gt;template-&gt;folder])) {
</span><span class="ln">434</span>                 $aTemplateList[$oTemplate-&gt;template_name] = $aTemplateInStandard[$oTemplate-&gt;template-&gt;folder];
<span class="ln">435</span>             } elseif (isset($aTemplateInUpload[$oTemplate-&gt;template-&gt;folder])) {
<span class="ln">436</span>                 $aTemplateList[$oTemplate-&gt;template_name] = $aTemplateInUpload[$oTemplate-&gt;template-&gt;folder];
<span class="ln">437</span>             }
<span class="ln">438</span>         }
<span class="ln">439</span>         return $aTemplateList;
<span class="ln">440</span>     }
<span class="ln">441</span> 
<span class="ln">442</span>     /**
<span class="ln">443</span>      * @return array
<span class="ln">444</span>      * TODO: replace the calls to that function by a data provider based on search
<span class="ln">445</span>      */
</pre></div>	</div>

	<div class="traces">
		<h2>Stack Trace</h2>
				<table style="width:100%;">
						<tbody><tr class="trace app expanded">
			<td class="number">
				#0			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\application\models\Template.php(263): <strong>Template</strong>::<strong>getTemplateList</strong>()				</div>

				<div class="code"><pre><span class="ln">258</span>      * @return bool
<span class="ln">259</span>      */
<span class="ln">260</span>     public static function checkIfTemplateExists($sTemplateName)
<span class="ln">261</span>     {
<span class="ln">262</span>         // isset is faster, and we need a value, no need array_key_exist here
<span class="error"><span class="ln error-ln">263</span>         return isset(self::getTemplateList()[$sTemplateName]);
</span><span class="ln">264</span>     }
<span class="ln">265</span> 
<span class="ln">266</span>     /**
<span class="ln">267</span>      * Get the template path for any template : test if template if exist
<span class="ln">268</span>      *
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#1			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\application\models\Template.php(366): <strong>Template</strong>::<strong>checkIfTemplateExists</strong>("vanilla")				</div>

				<div class="code"><pre><span class="ln">361</span>      * @return string template url
<span class="ln">362</span>      */
<span class="ln">363</span>     public static function getTemplateURL($sTemplateName = "")
<span class="ln">364</span>     {
<span class="ln">365</span>         // Make sure template name is valid
<span class="error"><span class="ln error-ln">366</span>         if (!self::checkIfTemplateExists($sTemplateName)) {
</span><span class="ln">367</span>             throw new \CException("Invalid {$sTemplateName} template directory");
<span class="ln">368</span>         }
<span class="ln">369</span> 
<span class="ln">370</span>         static $aTemplateUrl = array();
<span class="ln">371</span>         if (isset($aTemplateUrl[$sTemplateName])) {
</pre></div>			</td>
		</tr>
						<tr class="trace app expanded">
			<td class="number">
				#2			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\application\models\TemplateConfig.php(110): <strong>Template</strong>::<strong>getTemplateURL</strong>("vanilla")				</div>

				<div class="code"><pre><span class="ln">105</span>      * @return string template url
<span class="ln">106</span>      */
<span class="ln">107</span>     public function getTemplateURL()
<span class="ln">108</span>     {
<span class="ln">109</span>         if (!isset($this-&gt;sTemplateurl)) {
<span class="error"><span class="ln error-ln">110</span>             $this-&gt;sTemplateurl = Template::getTemplateURL($this-&gt;sTemplateName);
</span><span class="ln">111</span>         }
<span class="ln">112</span>         return $this-&gt;sTemplateurl;
<span class="ln">113</span>     }
<span class="ln">114</span> 
<span class="ln">115</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#3			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\application\models\TemplateConfiguration.php(1763): <strong>TemplateConfig</strong>-&gt;<strong>getTemplateURL</strong>()				</div>

				<div class="code"><pre><span class="ln">1758</span> 
<span class="ln">1759</span>         // Then we add the direction files if they exist
<span class="ln">1760</span>         // TODO: attribute system rather than specific fields for RTL
<span class="ln">1761</span> 
<span class="ln">1762</span>         $this-&gt;sPackageName = 'survey-template-' . $this-&gt;sTemplateName;
<span class="error"><span class="ln error-ln">1763</span>         $sTemplateurl       = $oTemplate-&gt;getTemplateURL();
</span><span class="ln">1764</span> 
<span class="ln">1765</span>         $aDepends = empty($oTemplate-&gt;depends) ? array() : $oTemplate-&gt;depends;
<span class="ln">1766</span> 
<span class="ln">1767</span>         // The package "survey-template-{sTemplateName}" will be available from anywhere in the app now.
<span class="ln">1768</span>         // To publish it : Yii::app()-&gt;clientScript-&gt;registerPackage( 'survey-template-{sTemplateName}' );
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#4			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\application\models\TemplateConfiguration.php(1707): <strong>TemplateConfiguration</strong>-&gt;<strong>createTemplatePackage</strong>(TemplateConfiguration)				</div>

				<div class="code"><pre><span class="ln">1702</span>         }
<span class="ln">1703</span> 
<span class="ln">1704</span>         $this-&gt;setBasics($sTemplateName, $iSurveyId, $bUseMagicInherit);
<span class="ln">1705</span>         $this-&gt;setMotherTemplates(); // Recursive mother templates configuration
<span class="ln">1706</span>         $this-&gt;setThisTemplate(); // Set the main config values of this template
<span class="error"><span class="ln error-ln">1707</span>         $this-&gt;createTemplatePackage($this); // Create an asset package ready to be loaded
</span><span class="ln">1708</span>         $this-&gt;removeFiles();
<span class="ln">1709</span>         $this-&gt;getshowpopups();
<span class="ln">1710</span> 
<span class="ln">1711</span>         if (!empty($sTemplateName) &amp;&amp; !empty($iSurveyId)) {
<span class="ln">1712</span>             self::$aPreparedToRender[$sTemplateName][$iSurveyId][$bUseMagicInherit] = $this;
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#5			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\application\models\TemplateConfiguration.php(1197): <strong>TemplateConfiguration</strong>-&gt;<strong>prepareTemplateRendering</strong>("vanilla", "")				</div>

				<div class="code"><pre><span class="ln">1192</span>     {
<span class="ln">1193</span>         if (!empty($this-&gt;template-&gt;extends)) {
<span class="ln">1194</span>             $sMotherTemplateName   = $this-&gt;template-&gt;extends;
<span class="ln">1195</span>             $instance = TemplateConfiguration::getInstanceFromTemplateName($sMotherTemplateName);
<span class="ln">1196</span>             $instance-&gt;template-&gt;checkTemplate();
<span class="error"><span class="ln error-ln">1197</span>             $this-&gt;oMotherTemplate = $instance-&gt;prepareTemplateRendering($sMotherTemplateName, '');
</span><span class="ln">1198</span>         }
<span class="ln">1199</span>     }
<span class="ln">1200</span> 
<span class="ln">1201</span>     /**
<span class="ln">1202</span>      * Get the closest template in the hierarchy that has the definition for $attribute
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#6			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\application\models\TemplateConfiguration.php(1705): <strong>TemplateConfiguration</strong>-&gt;<strong>setMotherTemplates</strong>()				</div>

				<div class="code"><pre><span class="ln">1700</span>                 self::$aPreparedToRender[$sTemplateName][$iSurveyId][$bUseMagicInherit] = array();
<span class="ln">1701</span>             }
<span class="ln">1702</span>         }
<span class="ln">1703</span> 
<span class="ln">1704</span>         $this-&gt;setBasics($sTemplateName, $iSurveyId, $bUseMagicInherit);
<span class="error"><span class="ln error-ln">1705</span>         $this-&gt;setMotherTemplates(); // Recursive mother templates configuration
</span><span class="ln">1706</span>         $this-&gt;setThisTemplate(); // Set the main config values of this template
<span class="ln">1707</span>         $this-&gt;createTemplatePackage($this); // Create an asset package ready to be loaded
<span class="ln">1708</span>         $this-&gt;removeFiles();
<span class="ln">1709</span>         $this-&gt;getshowpopups();
<span class="ln">1710</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#7			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\application\models\Template.php(513): <strong>TemplateConfiguration</strong>-&gt;<strong>prepareTemplateRendering</strong>("oecd", null)				</div>

				<div class="code"><pre><span class="ln">508</span>             return self::getTemplateConfiguration($sTemplateName, $iSurveyId, $iSurveyGroupId, $bForceXML, true);
<span class="ln">509</span>         }
<span class="ln">510</span> 
<span class="ln">511</span>         if (empty(self::$instance) || ! self::isCorrectInstance($sTemplateName)) {
<span class="ln">512</span>             self::$instance = self::getTemplateConfiguration($sTemplateName, $iSurveyId, $iSurveyGroupId, $bForceXML);
<span class="error"><span class="ln error-ln">513</span>             self::$instance-&gt;prepareTemplateRendering($sTemplateName, $iSurveyId);
</span><span class="ln">514</span>         }
<span class="ln">515</span> 
<span class="ln">516</span>         return self::getLastInstance(false);
<span class="ln">517</span>     }
<span class="ln">518</span> 
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#8			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\application\controllers\SurveysController.php(34): <strong>Template</strong>::<strong>getInstance</strong>("oecd")				</div>

				<div class="code"><pre><span class="ln">29</span>             $lang = App()-&gt;getConfig('defaultlang');
<span class="ln">30</span>         }
<span class="ln">31</span>             App()-&gt;setLanguage($lang);
<span class="ln">32</span> 
<span class="ln">33</span> 
<span class="error"><span class="ln error-ln">34</span>         $oTemplate       = Template::model()-&gt;getInstance(getGlobalSetting('defaulttheme'));
</span><span class="ln">35</span>         $this-&gt;sTemplate = $oTemplate-&gt;sTemplateName;
<span class="ln">36</span> 
<span class="ln">37</span>         $aData = array(
<span class="ln">38</span>             'publicSurveys'     =&gt; Survey::model()-&gt;active()-&gt;open()-&gt;with('languagesettings')-&gt;findAllPublic(),
<span class="ln">39</span>             'futureSurveys'     =&gt; Survey::model()-&gt;active()-&gt;registration()-&gt;with('languagesettings')-&gt;findAllPublic(),
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#9			</td>
			<td class="content">
				<div class="trace-file">
										&nbsp;unknown(0): <strong>SurveysController</strong>-&gt;<strong>actionPublicList</strong>("en")				</div>

							</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#10			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\vendor\yiisoft\yii\framework\web\actions\CAction.php(115): <strong>ReflectionMethod</strong>-&gt;<strong>invokeArgs</strong>(SurveysController, array(null))				</div>

				<div class="code"><pre><span class="ln">110</span>             elseif($param-&gt;isDefaultValueAvailable())
<span class="ln">111</span>                 $ps[]=$param-&gt;getDefaultValue();
<span class="ln">112</span>             else
<span class="ln">113</span>                 return false;
<span class="ln">114</span>         }
<span class="error"><span class="ln error-ln">115</span>         $method-&gt;invokeArgs($object,$ps);
</span><span class="ln">116</span>         return true;
<span class="ln">117</span>     }
<span class="ln">118</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#11			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\vendor\yiisoft\yii\framework\web\actions\CInlineAction.php(47): <strong>CAction</strong>-&gt;<strong>runWithParamsInternal</strong>(SurveysController, ReflectionMethod, array())				</div>

				<div class="code"><pre><span class="ln">42</span>     {
<span class="ln">43</span>         $methodName='action'.$this-&gt;getId();
<span class="ln">44</span>         $controller=$this-&gt;getController();
<span class="ln">45</span>         $method=new ReflectionMethod($controller, $methodName);
<span class="ln">46</span>         if($method-&gt;getNumberOfParameters()&gt;0)
<span class="error"><span class="ln error-ln">47</span>             return $this-&gt;runWithParamsInternal($controller, $method, $params);
</span><span class="ln">48</span> 
<span class="ln">49</span>         $controller-&gt;$methodName();
<span class="ln">50</span>         return true;
<span class="ln">51</span>     }
<span class="ln">52</span> }
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#12			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\vendor\yiisoft\yii\framework\web\CController.php(308): <strong>CInlineAction</strong>-&gt;<strong>runWithParams</strong>(array())				</div>

				<div class="code"><pre><span class="ln">303</span>     {
<span class="ln">304</span>         $priorAction=$this-&gt;_action;
<span class="ln">305</span>         $this-&gt;_action=$action;
<span class="ln">306</span>         if($this-&gt;beforeAction($action))
<span class="ln">307</span>         {
<span class="error"><span class="ln error-ln">308</span>             if($action-&gt;runWithParams($this-&gt;getActionParams())===false)
</span><span class="ln">309</span>                 $this-&gt;invalidActionParams($action);
<span class="ln">310</span>             else
<span class="ln">311</span>                 $this-&gt;afterAction($action);
<span class="ln">312</span>         }
<span class="ln">313</span>         $this-&gt;_action=$priorAction;
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#13			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\vendor\yiisoft\yii\framework\web\CController.php(286): <strong>CController</strong>-&gt;<strong>runAction</strong>(CInlineAction)				</div>

				<div class="code"><pre><span class="ln">281</span>      * @see runAction
<span class="ln">282</span>      */
<span class="ln">283</span>     public function runActionWithFilters($action,$filters)
<span class="ln">284</span>     {
<span class="ln">285</span>         if(empty($filters))
<span class="error"><span class="ln error-ln">286</span>             $this-&gt;runAction($action);
</span><span class="ln">287</span>         else
<span class="ln">288</span>         {
<span class="ln">289</span>             $priorAction=$this-&gt;_action;
<span class="ln">290</span>             $this-&gt;_action=$action;
<span class="ln">291</span>             CFilterChain::create($this,$action,$filters)-&gt;run();
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#14			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\vendor\yiisoft\yii\framework\web\CController.php(265): <strong>CController</strong>-&gt;<strong>runActionWithFilters</strong>(CInlineAction, array())				</div>

				<div class="code"><pre><span class="ln">260</span>         {
<span class="ln">261</span>             if(($parent=$this-&gt;getModule())===null)
<span class="ln">262</span>                 $parent=Yii::app();
<span class="ln">263</span>             if($parent-&gt;beforeControllerAction($this,$action))
<span class="ln">264</span>             {
<span class="error"><span class="ln error-ln">265</span>                 $this-&gt;runActionWithFilters($action,$this-&gt;filters());
</span><span class="ln">266</span>                 $parent-&gt;afterControllerAction($this,$action);
<span class="ln">267</span>             }
<span class="ln">268</span>         }
<span class="ln">269</span>         else
<span class="ln">270</span>             $this-&gt;missingAction($actionID);
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#15			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\vendor\yiisoft\yii\framework\web\CWebApplication.php(282): <strong>CController</strong>-&gt;<strong>run</strong>("")				</div>

				<div class="code"><pre><span class="ln">277</span>         {
<span class="ln">278</span>             list($controller,$actionID)=$ca;
<span class="ln">279</span>             $oldController=$this-&gt;_controller;
<span class="ln">280</span>             $this-&gt;_controller=$controller;
<span class="ln">281</span>             $controller-&gt;init();
<span class="error"><span class="ln error-ln">282</span>             $controller-&gt;run($actionID);
</span><span class="ln">283</span>             $this-&gt;_controller=$oldController;
<span class="ln">284</span>         }
<span class="ln">285</span>         else
<span class="ln">286</span>             throw new CHttpException(404,Yii::t('yii','Unable to resolve the request "{route}".',
<span class="ln">287</span>                 array('{route}'=&gt;$route===''?$this-&gt;defaultController:$route)));
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#16			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\vendor\yiisoft\yii\framework\web\CWebApplication.php(141): <strong>CWebApplication</strong>-&gt;<strong>runController</strong>("")				</div>

				<div class="code"><pre><span class="ln">136</span>             foreach(array_splice($this-&gt;catchAllRequest,1) as $name=&gt;$value)
<span class="ln">137</span>                 $_GET[$name]=$value;
<span class="ln">138</span>         }
<span class="ln">139</span>         else
<span class="ln">140</span>             $route=$this-&gt;getUrlManager()-&gt;parseUrl($this-&gt;getRequest());
<span class="error"><span class="ln error-ln">141</span>         $this-&gt;runController($route);
</span><span class="ln">142</span>     }
<span class="ln">143</span> 
<span class="ln">144</span>     /**
<span class="ln">145</span>      * Registers the core application components.
<span class="ln">146</span>      * This method overrides the parent implementation by registering additional core components.
</pre></div>			</td>
		</tr>
						<tr class="trace core collapsed">
			<td class="number">
				#17			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\vendor\yiisoft\yii\framework\base\CApplication.php(185): <strong>CWebApplication</strong>-&gt;<strong>processRequest</strong>()				</div>

				<div class="code"><pre><span class="ln">180</span>     public function run()
<span class="ln">181</span>     {
<span class="ln">182</span>         if($this-&gt;hasEventHandler('onBeginRequest'))
<span class="ln">183</span>             $this-&gt;onBeginRequest(new CEvent($this));
<span class="ln">184</span>         register_shutdown_function(array($this,'end'),0,false);
<span class="error"><span class="ln error-ln">185</span>         $this-&gt;processRequest();
</span><span class="ln">186</span>         if($this-&gt;hasEventHandler('onEndRequest'))
<span class="ln">187</span>             $this-&gt;onEndRequest(new CEvent($this));
<span class="ln">188</span>     }
<span class="ln">189</span> 
<span class="ln">190</span>     /**
</pre></div>			</td>
		</tr>
						<tr class="trace app collapsed">
			<td class="number">
				#18			</td>
			<td class="content">
				<div class="trace-file">
											<div class="plus">+</div>
						<div class="minus">–</div>
										&nbsp;E:\WEB\limesurvey\www\index.php(161): <strong>CApplication</strong>-&gt;<strong>run</strong>()				</div>

				<div class="code"><pre><span class="ln">156</span> require_once APPPATH . 'core/LSYii_Application' . EXT;
<span class="ln">157</span> 
<span class="ln">158</span> $config = require_once(APPPATH . 'config/internal' . EXT);
<span class="ln">159</span> 
<span class="ln">160</span> Yii::$enableIncludePath = false;
<span class="error"><span class="ln error-ln">161</span> Yii::createApplication('LSYii_Application', $config)-&gt;run();
</span><span class="ln">162</span> 
<span class="ln">163</span> /* End of file index.php */
<span class="ln">164</span> /* Location: ./index.php */
</pre></div>			</td>
		</tr>
				</tbody></table>
	</div>

	<div class="version">
		2024-03-29 15:29:25 Microsoft-IIS/10.0 <a href="https://www.yiiframework.com/">Yii Framework</a>/1.1.28	</div>
</div>

<script type="text/javascript">
/*<![CDATA[*/
var traceReg = new RegExp("(^|\\s)trace-file(\\s|$)");
var collapsedReg = new RegExp("(^|\\s)collapsed(\\s|$)");

var e = document.getElementsByTagName("div");
for(var j=0,len=e.length;j<len;j++){
	if(traceReg.test(e[j].className)){
		e[j].onclick = function(){
			var trace = this.parentNode.parentNode;
			if(collapsedReg.test(trace.className))
				trace.className = trace.className.replace("collapsed", "expanded");
			else
				trace.className = trace.className.replace("expanded", "collapsed");
		}
	}
}
/*]]>*/
</script>



<div id="grammalecte_menu_main_button_shadow_host" style="width: 0px; height: 0px;"></div></body><script src="PHP%20warning_fichiers/api.js"></script></html>
PHP warning.html (27,812 bytes)   
Bug heat2
Complete LimeSurvey version number (& build)6.4.1
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database type & versionnot relevant
Server OS (if known)windows
Webserver software & version (if known)IIS
PHP Versionphp8.1 and php7.4

Relationships

related to 18473 closedDenisChenu Survey listing : multiple call of template 

Users monitoring this issue

There are no users monitoring this issue.

Activities

DenisChenu

DenisChenu

2024-04-18 18:02

developer   ~79948

I got it !

Came from survey …

DenisChenu

DenisChenu

2024-04-18 18:26

developer   ~79949

5.X : https://github.com/LimeSurvey/LimeSurvey/pull/3820
master : https://github.com/LimeSurvey/LimeSurvey/pull/3821

DenisChenu

DenisChenu

2024-04-19 08:41

developer   ~79952

Hi,
Follow previous commit https://github.com/LimeSurvey/LimeSurvey/commit/c6bed7623f81f7c01d03c3c5adc8fa6bd8ea7a59

I create an issue here, fixed now. Apply same filter than TemplateConfiguration:search

Issue History

Date Modified Username Field Change
2024-04-01 11:08 DenisChenu New Issue
2024-04-01 11:08 DenisChenu File Added: PHP warning.html
2024-04-01 11:08 DenisChenu Assigned To => DenisChenu
2024-04-01 11:08 DenisChenu Status new => assigned
2024-04-01 11:09 DenisChenu Relationship added related to 18473
2024-04-18 18:02 DenisChenu Note Added: 79948
2024-04-18 18:02 DenisChenu Bug heat 0 => 2
2024-04-18 18:26 DenisChenu Note Added: 79949
2024-04-19 08:41 DenisChenu Assigned To DenisChenu => gabrieljenik
2024-04-19 08:41 DenisChenu Status assigned => ready for code review
2024-04-19 08:41 DenisChenu Note Added: 79952